# {{classname}}

All URIs are relative to *https://service.fax-api.de/4.0/rest*

Method | HTTP request | Description
------------- | ------------- | -------------
[**GetJobs**](JobsApi.md#GetJobs) | **Get** /jobs | /jobs
[**PostJob**](JobsApi.md#PostJob) | **Post** /jobs | /jobs

# **GetJobs**
> Jobs GetJobs(ctx, optional)
/jobs

Description: Resource to obtain a list of fax jobs

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
 **optional** | ***JobsApiGetJobsOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a JobsApiGetJobsOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **objectLimit** | **optional.Int32**| Query parameter to change de default limitation of objects in the result data array | [default to 100]
 **objectOffset** | **optional.Int32**| Query parameter to change de default offset of objects in the result data array | [default to 0]
 **filterSameAccount** | **optional.Bool**| Query parameter to fetch jobs after the api account linked to the used token/key for authorization | [default to false]
 **filterTitle** | **optional.String**| Query parameter to fetch jobs after his title | 
 **filterStatus** | **optional.String**| Query parameter to fetch jobs after his status | 
 **filterDateFrom** | **optional.Time**| Query parameter to fetch jobs with a later date in TimeToSend. Can be combined with filterDateTo to define a period of interest. The format must comply with ISO 8601 and must contain date and time, like &#x27;2022-01-01T10:00:00+01:00&#x27;. Please also consider urlencoding (2022-01-01T10%3A00%3A00%2B01%3A00) | 
 **filterDateTo** | **optional.Time**| Query parameter to fetch jobs with a previous date in TimeToSend. Can be combined with filterDateFrom to define a period of interest. The format must comply with ISO 8601 and must contain date and time, like &#x27;2022-01-01T10:00:00+02:00&#x27;. Please also consider urlencoding (2022-01-01T10%3A00%3A00%2B01%3A00 | 
 **filterDateUntilFrom** | **optional.Time**| Query parameter to fetch jobs with a later date in TimeToSendUntil. Can be combined with filterDateUntilTo to define a period of interest. The format must comply with ISO 8601 and must contain date and time, like &#x27;2022-01-01T10:00:00+01:00&#x27;. Please also consider urlencoding (2022-01-01T10%3A00%3A00%2B01%3A00) | 
 **filterDateUntilTo** | **optional.Time**| Query parameter to fetch jobs with a previous date in TimeToSendUntil. Can be combined with filterDateUIntilFrom to define a period of interest. The format must comply with ISO 8601 and must contain date and time, like &#x27;2022-01-01T10:00:00+02:00&#x27;. Please also consider urlencoding (2022-01-01T10%3A00%3A00%2B01%3A00 | 
 **filterCostCenter** | **optional.String**| Query parameter to fetch jobs after his cost center | 
 **sortField** | **optional.String**| Available sort options for the result data array. | 
 **sortOrder** | **optional.String**| Describes the order for used sort fields | [default to asc]

### Return type

[**Jobs**](Jobs.md)

### Authorization

[ApiAuthKey](../README.md#ApiAuthKey)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **PostJob**
> InlineResponse201 PostJob(ctx, body)
/jobs

Description: Resource to create a new fax job

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **body** | [**JobPost**](JobPost.md)| Describes the required request body to create a new fax job | 

### Return type

[**InlineResponse201**](inline_response_201.md)

### Authorization

[ApiAuthKey](../README.md#ApiAuthKey)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

